

// Ensure this interface is exported
export interface ItemPublic {
    id: number;
    list_id: number;
    name: string;
    quantity?: string | null;
    is_complete: boolean;
    price?: number | null; // Or Decimal if using a library
    added_by_id: number;
    completed_by_id?: number | null;
    created_at: string;
    updated_at: string;
}

export interface ItemCreate {
    name: string;
    quantity?: string | null;
}

export interface ItemUpdate {
    name?: string | null;
    quantity?: string | null;
    is_complete?: boolean | null;
    price?: number | null; // Using number
}